Bug 548034 - gedit fixed width font isn't lined up
gedit fixed width font isn't lined up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 07:59 EST by David Timms
Modified: 2011-06-27 10:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
illustration of font width issue (70.84 KB, image/png)
2009-12-16 07:59 EST, David Timms
no flags Details
screen capture of font trouble, font pref and version (87.38 KB, image/png)
2010-11-28 07:14 EST, David Timms
no flags Details

  None (edit)
Description David Timms 2009-12-16 07:59:31 EST
Created attachment 378754 [details]
illustration of font width issue

Description of problem:
While viewing a text file, with gedit, I notice that either my eyes are packing up, or there is trouble with the fixed widthedness (!) of the font.

Version-Release number of selected component (if applicable):
gedit-2.28.0-1.fc12.i686

How reproducible:
Yes, after reboot. Not noticed before about 3-4 weeks ago.

Steps to Reproduce:
1. gedit sometext file.
2. font in preferences is Liberation Mono 8
  
Actual results:
the columns don't quite line up, getting worse further to the right of the page.

Expected results:
I don't think the definition of fixed width has changed of late ;)

Additional info:
Could be a font package, but I have not noticed it elsewhere.
Comment 1 Matthias Clasen 2009-12-17 12:29:35 EST
Behdad, any idea about this ? Seems kinda in your area of expertise...
Comment 2 Behdad Esfahbod 2009-12-18 07:10:14 EST
Which version of freetype?  IIRC 2.3.11 had apatch to make sure monospace fonts are still monospace after hinting.  That's in F12 updates.
Comment 3 David Timms 2009-12-18 17:26:55 EST
$ rpm -q freetype
freetype-2.3.11-3.fc12.i686

$ rpm -q freetype -changelog
* Thu Dec 03 2009 Behdad Esfahbod <behdad@redhat.com> 2.3.11-3
- Add freetype-2.3.11-more-demos.patch
- New demo programs ftmemchk, ftpatchk, and fttimer

# grep freet /var/log/yum.log
Nov 14 20:03:05 Installed: freetype-debuginfo-2.3.9-6.fc12.i686
Nov 22 22:17:28 Erased: freetype-debuginfo
Dec 11 00:14:18 Updated: freetype-2.3.11-3.fc12.i686
Dec 11 00:14:53 Updated: freetype-devel-2.3.11-3.fc12.i686
Dec 12 18:03:05 Installed: freetype-debuginfo-2.3.11-3.fc12.i686

The machine had been rebooted most days since dec 11, so would have been running this version, but just to confirm that same file is still a problem.

If I edit the txt file and change eg 127 to 126 (where there are near identical startlines, I can see that the first part of the line is now lined up properly, so perhaps the issue lies only in digits ?

Although by replacing a letter s (status), with all other alphas, I can see that eg an i and s are wider than other chars, maybe 2px. About half the other chars are only out by a pixel.

In fact, this just made me remember some spreadsheets (openoffice) I have. After upgrade / past months, I noticed the fixed width font I chose there also was not fixed width, and the column of numbers was wonky. I thought the upgrade may have changed the font in the spreadsheet, and changed it back to a different fixed width font, but the numbers were still out of alignment. At the time I just thought that I may have been mistaken that the numbers previously used to line up, but now I' pretty sure they used to line up.

Note that the fixed width font used in firefox in the bugzilla.r.c form submission (ie the additional comments field) seems to have eg those yum results lined up properly.
Comment 4 David Timms 2010-02-13 06:59:32 EST
Just to confirm this is still an issue with:
firefox-3.5.6-1.fc12.x86_64
freetype-2.3.11-3.fc12.x86_64
freetype-debuginfo-2.3.11-3.fc12.x86_64
freetype-devel-2.3.11-3.fc12.x86_64
gedit-2.28.3-1.fc12.x86_64

: eg gedit and paste:
987654321
123456789
111111111
222222222
333333333
444444444
555555555
6666666666
7777777777
8888888888
9999999999
000000000
121212121
343434343
565656565
787878787
909090909
aaaaaaaaa
iiiiiiiii
lllllllll
iiiiiiiii
yyyyyyyyy
rrrrrrrrr
ttttttttt
rtrtrtrtr
pipopipop
s8s8s8s8s
g6g6g6g6g
Actually, even the font width is messed up in this text field in firefox.
Comment 5 David Timms 2010-02-13 07:30:10 EST
actually: the fixed width font is fine in firefox as listed above.
987654321
123456789
111111111
222222222
333333333
444444444
555555555
666666666
777777777
888888888
999999999
000000000
121212121
343434343
565656565
787878787
909090909
aaaaaaaaa
iiiiiiiii
lllllllll
iiiiiiiii
yyyyyyyyy
rrrrrrrrr
ttttttttt
rtrtrtrtr
pipopipop
s8s8s8s8s
g6g6g6g6g
Comment 6 Bug Zapper 2010-11-03 23:12:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Timms 2010-11-28 07:14:30 EST
Created attachment 463309 [details]
screen capture of font trouble, font pref and version

This is continues to be a problem in f13, updated.
firefox-3.6.12-1.fc13.x86_64
freetype-2.3.11-7.fc13.x86_64
freetype-2.3.11-7.fc13.i686
gedit-2.30.2-1.fc13.x86_64
liberation-mono-fonts-1.06.0.20100721-1.fc13.noarch
Comment 8 Bug Zapper 2010-12-03 20:35:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Bug Zapper 2011-06-02 13:06:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 10:41:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.